﻿using System.Windows;

namespace TestLibrary
{
    /// <summary>
    /// 스트림 실패 이벤트 인자
    /// </summary>
    public class StreamFailedEventArgs : RoutedEventArgs
    {
        //////////////////////////////////////////////////////////////////////////////////////////////////// Field
        ////////////////////////////////////////////////////////////////////////////////////////// Private

        #region Field

        /// <summary>
        /// 에러
        /// </summary>
        private readonly string error;

        #endregion

        //////////////////////////////////////////////////////////////////////////////////////////////////// Property
        ////////////////////////////////////////////////////////////////////////////////////////// Public

        #region 에러 - Error

        /// <summary>
        /// 에러
        /// </summary>
        public string Error
        {
            get
            {
                return error;
            }
        }

        #endregion

        //////////////////////////////////////////////////////////////////////////////////////////////////// Property
        ////////////////////////////////////////////////////////////////////////////////////////// Public

        #region 생성자 - StreamFailedEventArgs(routedEvent, error)

        /// <summary>
        /// 생성자
        /// </summary>
        /// <param name="routedEvent">라우팅 이벤트</param>
        /// <param name="error">에러</param>
        public StreamFailedEventArgs(RoutedEvent routedEvent, string error) : base(routedEvent)
        {
            this.error = error;
        }

        #endregion
    }
}